質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.59%

Herokuにデプロイしようとして、ここから進まなくなっています。原因がわからないので、教えていただきたいです

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 472

avicii

score 39

 前提・実現したいこと

現在application errorの状態になっていて、今の状態から抜け出したいと思っています。
ここに質問の内容を詳しく書いてください。
rails4(mysql)を使っています。railsやrubyのバージョンなどを変更したのですが、変化なく、動かない状態になっています。どこが原因なのかを教えていただきたいです。
Herokuのデプロイを実装中に以下のエラーメッセージが発生しました。

 発生している問題・エラーメッセージ

2018-10-31T19:28:49.367339+00:00 heroku[web.1]: Process exited with status 1
2018-10-31T19:28:49.136121+00:00 app[web.1]: /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:121: warning: constant ::Fixnum is deprecated
2018-10-31T19:28:49.136149+00:00 app[web.1]: /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:121: warning: constant ::Bignum is deprecated
2018-10-31T19:28:49.303526+00:00 app[web.1]: /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>': stack level too deep (SystemStackError) 2018-10-31T19:28:49.303531+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>'
2018-10-31T19:28:49.303533+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' 2018-10-31T19:28:49.303534+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>'
2018-10-31T19:28:49.303540+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' 2018-10-31T19:28:49.303542+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>'
2018-10-31T19:28:49.303544+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' 2018-10-31T19:28:49.303545+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>'
2018-10-31T19:28:49.303547+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/activesupport-4.2.6/lib/active_support/core_ext/numeric/conversions.rb:131:in block (2 levels) in <class:Numeric>' 2018-10-31T19:28:49.303549+00:00 app[web.1]: ... 8541 levels... 2018-10-31T19:28:49.303557+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/railties-4.2.6/lib/rails/commands/commands_tasks.rb:39:in run_command!'
2018-10-31T19:28:49.303563+00:00 app[web.1]: from /app/vendor/bundle/ruby/2.4.0/gems/railties-4.2.6/lib/rails/commands.rb:17:in <top (required)>' 2018-10-31T19:28:49.303565+00:00 app[web.1]: from bin/rails:9:in require'
2018-10-31T19:28:49.303567+00:00 app[web.1]: from bin/rails:9:in `<main>'

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

rails4.2.6はruby2.4をサポートしていません。

4.2.8以降をご利用ください

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/11/07 08:44 編集

    rails newからではなく、gemfileのrailsを4.2.8に変え、bundle installやbundle updateをしました。
    その後、herokuの作成をもう一度しました。
    よろしくお願いいたします。

    キャンセル

  • 2018/11/07 08:58

    Gemfileの依存関係が変な事になっている位しか私には思いつきませんね
    うっかり系としてgit commit忘れてるってパターンもありますが

    キャンセル

  • 2018/11/08 22:56

    度々ありがとうございます。
    試させていただきます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.59%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • トップ
  • Rubyに関する質問
  • Herokuにデプロイしようとして、ここから進まなくなっています。原因がわからないので、教えていただきたいです